complexType "TradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | tradeId+
</...>

Content Model Elements (1):

  tradeId (defined in TradeIdentifier complexType)

Known Direct Subtypes (1):

  PartyTradeIdentifier

All Direct / Indirect Based Elements (13):

  allocationTradeId, oldTradeIdentifier, partyTradeIdentifier (in tradeHeader), partyTradeIdentifier (in tradeReference), resultingTradeIdentifier, tradeIdentifier (defined in BestFitTrade complexType), tradeIdentifier (defined in DeClear complexType), | tradeIdentifier (defined in EventIdentifier complexType), tradeIdentifier (defined in OptionExercise complexType), tradeIdentifier (defined in OptionExpiry complexType), tradeIdentifier (in optionExpiry), tradeIdentifier (in publicExecutionReportRetracted), tradeIdentifier (in tradeMaturity)

Known Usage Locations

- In derivations of other global types (1):
  PartyTradeIdentifier (as extension base)
- As direct type of elements (3):

  allocationTradeId, tradeIdentifier (defined in BestFitTrade complexType), | tradeIdentifier (defined in EventIdentifier complexType)

Annotation
A type defining a trade identifier issued by the indicated party.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="TradeIdentifier"> <xsd:sequence> <xsd:choice maxOccurs="unbounded"> <xsd:element name="tradeId" type="TradeId"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="tradeId" type="TradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.